@echo off
REM Verifica se a pasta "CONVERTED FOR GAME" já existe. Se não, cria a pasta.
if not exist "CONVERTED FOR GAME" (
    mkdir "CONVERTED FOR GAME"
)

for /l %%i in (1,1,555) do (
    setlocal enabledelayedexpansion
    set num=00000%%i
    set num=!num:~-5!
    
    REM Converte o arquivo .wav para .asf
    sx.exe -pcstream -rs22050 -vbr50 -mt5_blk FALA%%i.wav -=copspeech_!num!.asf
    
    REM Move o arquivo .asf para a pasta "CONVERTED FOR GAME"
    move copspeech_!num!.asf "CONVERTED FOR GAME"
    
    endlocal
)

echo Conversão concluída! Os arquivos .asf foram movidos para a pasta "CONVERTED FOR GAME".
pause
